Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class ClassNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.ClassNotFoundException

public synchronized class ClassNotFoundException
extends Exception

See Also:
  Serialized Form

Constructor Summary
`ClassNotFoundException()`
`ClassNotFoundException(String)`
`ClassNotFoundException(String, Throwable)`

Method Summary
`Throwable` | `getException()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream)`
`void` | `printStackTrace(java.io.PrintWriter)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassNotFoundException

    public ClassNotFoundException()

### ClassNotFoundException

    public ClassNotFoundException(String)

### ClassNotFoundException

    public ClassNotFoundException(String,
                                  Throwable)

Method Detail

### getException

    public Throwable getException()

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream)

  Overrides:
    printStackTrace in class Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter)

  Overrides:
    printStackTrace in class Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.